"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.hyExtMiddleware = void 0;
const connect_1 = __importDefault(require("connect"));
const chalk_1 = __importDefault(require("chalk"));
exports.hyExtMiddleware = (0, connect_1.default)()
    .use('/', (req, res, next) => {
    if (process.env.HYEXT_LOG_REQ) {
        console.log(chalk_1.default.dim(`DevServer ${req.url}`));
    }
    next();
})
    .use('/hyext-debug', (req, res, next) => {
    res.end('ok');
})
    .use('/debugger-proxy', (req, res, next) => {
    // console.log('handle debugger-proxy before community')
    next();
});
