"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.toQueryStr = exports.toQueryObj = void 0;
function toQueryObj(str) {
    var query = str.split("&").reduce((acc, item) => {
        var kv = item.split("=");
        acc[kv[0]] = kv[1];
        return acc;
    }, {});
    return query;
}
exports.toQueryObj = toQueryObj;
function toQueryStr(obj, encode = true) {
    let str = "";
    Object.keys(obj).forEach((key, i) => {
        const val = obj[key];
        str += `${i === 0 ? "" : "&"}${key}=${encode ? encodeURIComponent(val) : val}`;
    });
    return str;
}
exports.toQueryStr = toQueryStr;
