import { BundleConfigItem, CompileExtOutput, ExtMetroConfig } from '../matrix-config/configTypes';
export type SerializerOptions = {
    sourceMapUrl?: string;
    sourceUrl?: string;
    runModule: boolean;
    excludeSource: boolean;
    inlineSourceMap: boolean;
    modulesOnly: boolean;
};
export declare function batchCompile({ config, bundleConfigs, }: {
    config: ExtMetroConfig;
    bundleConfigs: BundleConfigItem[];
}): Promise<CompileExtOutput>;
